DS2431(3)

NAME
DS2431 - EEPROM (1 kBit)

SYNOPSIS
Erasable programmable read-only memory (EEPROM)

2D [.]XXXXXXXXXXXX[XX][/[ memory | pages/page.[0-3|ALL] | ]]

FAMILY CODE

2D DS2431

SPECIAL PROPERTIES

  memory
read-write, binary
128 bytes of EEPROM memory. Initially all bits are set to 1. Memory is non-volatile.

  pages/page.0 ... pages/page.3 pages/page.ALL
read-write, yes-no
Memory is split into 4 pages of 32 bytes each. ALL is an aggregate of the pages. Each page is accessed sequentially.

STANDARD PROPERTIES

ALARMS
None.

DESCRIPTION

  DS2431
The DS2431 (3) is used for storing memory which should be available even after a reset or power off. It is also switch to erase-only mode (EPROM) although this isn't implemented in OWFS. OWFS system handles this automatically.

ADDRESSING

DATASHEET
http://pdfserv.maxim-ic.com/en/ds/DS2431.pdf

SEE ALSO

AVAILABILITY
http://www.owfs.org

AUTHOR
Christian Magnusson (mag@mag.cx)